Bug 119945 - Impress/Draw hangs/crashes when exiting while editing formula
Summary: Impress/Draw hangs/crashes when exiting while editing formula
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.1.1.2 release
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0.1 target:6.3.0 target:6.1.4
Keywords: bibisected, bisected, perf, regression
Depends on:
Blocks:
 
Reported: 2018-09-18 03:59 UTC by brian.bj.parker99
Modified: 2018-12-04 16:12 UTC (History)
5 users (show)

See Also:
Crash report or crash signature: ["vcl::Window::IsInModalMode()"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description brian.bj.parker99 2018-09-18 03:59:21 UTC
Description:
When exiting impress it hangs indefinitely if editing formula

Steps to Reproduce:
1.Create new impress document
2.Insert|object| formula...
3.Click on upper right window close button to close window 
4. Click "don't save" on dialog box
5. Hangs 

Actual Results:
Hangs

Expected Results:
Should exit without hanging


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 raal 2018-09-18 07:36:01 UTC
Confirm with LO6.2, Windows
Comment 2 raal 2018-09-19 07:19:03 UTC
my bibisect was not  successful
Comment 3 Xisco Faulí 2018-09-19 09:52:00 UTC
I can't reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 47a173edb603538521a035157efb6ef684238087
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

Win only...
Comment 4 Xisco Faulí 2018-09-19 10:31:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=2c317751c4b7661c10bd9eb11094febeccd1b816

author	Kshitij Pathania <kshitijpathania@gmail.com>	2018-06-24 01:57:11 +0530
committer	Szymon Kłos <szymon.klos@collabora.com>	2018-06-24 20:19:56 +0200
commit	2c317751c4b7661c10bd9eb11094febeccd1b816 (patch)
tree	017a52106ac34573896d8a9a45d760cd60fb04ab
parent	a7af4bbbc0793fb78aea6a89f8fb6dc052710a11 (diff)
Notebookbar:Disabled appearence of context toolbars

Bisected with: bibisect-win32-6.2

Adding Cc: to Kshitij Pathania
Comment 5 Xisco Faulí 2018-09-19 11:02:38 UTC
Same behaviour with Draw, but not with Writer
Comment 6 Xisco Faulí 2018-09-19 11:03:31 UTC
@Jan-Marek, I thought you could be interested in this issue...
Comment 7 Xisco Faulí 2018-11-21 16:29:26 UTC
I get a hang and a crash in

Versión: 6.1.3.2
Id. de compilación: 86daf60bf00efa86ad547e59e09d6bb77c699acb
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded
Comment 8 Xisco Faulí 2018-11-21 16:32:11 UTC
Actually it crashes on Linux as well...

Version: 6.2.0.0.beta1+
Build ID: d6ba6e4d31b872a175146f20cfb625cd520d7dc0
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 9 Xisco Faulí 2018-11-21 17:08:25 UTC
Reverted the problematic commit in https://gerrit.libreoffice.org/#/c/63735/ until a better fix is provided for bug 103226
Comment 10 Xisco Faulí 2018-11-21 22:42:55 UTC
The problematic commit is already reverted in master, 6-2 and 6-1 -> https://cgit.freedesktop.org/libreoffice/core/commit/?id=9a6169529eb687190531225bfe9fef850325ee9e
Closing as RESOLVED FIXED
Comment 11 Commit Notification 2018-11-29 19:42:30 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0a36be3fee1b4f1b47b55a64668b6aa99896ab24%5E%21

tdf#121591, tdf#119945: ModuleManager::identify throws for embedded modules

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Xisco Faulí 2018-12-02 13:30:31 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 4da61d4cc8f70ff62d7bac23a1b97d9d7011a678
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this!

Do you think it should be cherry-picked to 6-1 and 6-1-4 as well?
Comment 13 Commit Notification 2018-12-02 13:34:30 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9ce21daf20faae0e5c8dd8eeb0909106e23a4319%5E%21

tdf#121591, tdf#119945: ModuleManager::identify throws for embedded modules

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.